- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# QuadraticTerm Class Reference

The in-memory representation of the <qTerm> element. More...

`#include <OSInstance.h>`

List of all members.

## Public Member Functions
| QuadraticTerm ()
| The QuadraticTerm class constructor.
| ~QuadraticTerm ()
| The QuadraticTerm class destructor.
bool | IsEqual (QuadraticTerm *that)
| A function to check for the equality of two objects.
| QuadraticTerm ()
| The QuadraticTerm class constructor.
| ~QuadraticTerm ()
| The QuadraticTerm class destructor.
## Public Attributes
int | idx
| idx is the index of the row in which the quadratic term appears
int | idxOne
| idxOne is the index of the first variable in the quadratic term
int | idxTwo
| idxTwo is the index of the second variable in the quadratic term
double | coef
| coef is the coefficient of the quadratic term

## Detailed Description

The in-memory representation of the <qTerm> element.

Remarks:
  quadratic terms can be stored efficiently by storing the index of each variable, the coefficient of the quadratic term, and the row in which it appears

Definition at line 366 of file OSInstance.h.

## Constructor & Destructor Documentation

QuadraticTerm::QuadraticTerm | ( |  | ) |

The QuadraticTerm class constructor.

Definition at line 600 of file OSInstance.cpp.

QuadraticTerm::~QuadraticTerm | ( |  | ) |

The QuadraticTerm class destructor.

Definition at line 614 of file OSInstance.cpp.

QuadraticTerm::QuadraticTerm | ( |  | ) |

The QuadraticTerm class constructor.

QuadraticTerm::~QuadraticTerm | ( |  | ) |

The QuadraticTerm class destructor.

## Member Function Documentation

bool QuadraticTerm::IsEqual | ( | QuadraticTerm * | that | ) |

A function to check for the equality of two objects.

Definition at line 5332 of file OSInstance.cpp.

References coef, idx, idxOne, and idxTwo.

## Member Data Documentation

int QuadraticTerm::idx

idx is the index of the row in which the quadratic term appears

Definition at line 378 of file OSInstance.h.

Referenced by OSInstance::getQuadraticTerms(), IsEqual(), and OSInstance::setQuadraticTerms().

int QuadraticTerm::idxOne

idxOne is the index of the first variable in the quadratic term

Definition at line 383 of file OSInstance.h.

Referenced by OSInstance::getQuadraticTerms(), IsEqual(), and OSInstance::setQuadraticTerms().

int QuadraticTerm::idxTwo

idxTwo is the index of the second variable in the quadratic term

Definition at line 388 of file OSInstance.h.

Referenced by OSInstance::getQuadraticTerms(), IsEqual(), and OSInstance::setQuadraticTerms().

double QuadraticTerm::coef

coef is the coefficient of the quadratic term

Definition at line 391 of file OSInstance.h.

Referenced by OSInstance::getQuadraticTerms(), IsEqual(), and OSInstance::setQuadraticTerms().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp